io.flutter.embedding.android

## Class AndroidTouchProcessor

- java.lang.Object
- - io.flutter.embedding.android.AndroidTouchProcessor

-     public class AndroidTouchProcessor
      extends Object

  Sends touch information from Android to Flutter in a format that Flutter understands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidTouchProcessor(FlutterRenderer renderer, boolean trackMotionEvents)` Constructs an `AndroidTouchProcessor` that will send touch event data to the Flutter execution context represented by the given `FlutterRenderer`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onGenericMotionEvent(MotionEvent event)` Sends the given generic `MotionEvent` data to Flutter in a format that Flutter understands.
    `boolean` | `onTouchEvent(MotionEvent event)`
    `boolean` | `onTouchEvent(MotionEvent event, Matrix transformMatrix)` Sends the given `MotionEvent` data to Flutter in a format that Flutter understands.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidTouchProcessor

          public AndroidTouchProcessor(@NonNull
                                       FlutterRenderer renderer,
                                       boolean trackMotionEvents)

      Constructs an `AndroidTouchProcessor` that will send touch event data to the Flutter execution context represented by the given `FlutterRenderer`.

  - ### Method Detail

    - #### onTouchEvent

          public boolean onTouchEvent(@NonNull
                                      MotionEvent event)

    - #### onTouchEvent

          public boolean onTouchEvent(@NonNull
                                      MotionEvent event,
                                      Matrix transformMatrix)

      Sends the given `MotionEvent` data to Flutter in a format that Flutter understands.

    - #### onGenericMotionEvent

          public boolean onGenericMotionEvent(@NonNull
                                              MotionEvent event)

      Sends the given generic `MotionEvent` data to Flutter in a format that Flutter understands.

      Generic motion events include joystick movement, mouse hover, track pad touches, scroll wheel movements, etc.